import main


class MsgCommand:
    def __init__(self, *args):
        self.msg(*args)

    def msg(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            if length >= 5:
                if not spl[1] in main.network.keys():
                    failure("Network does not exist: %s" % spl[1])
                    return
                if not int(spl[2]) in main.network[spl[1]].relays.keys():
                    failure("Relay %s does not exist on network %s" % (spl[2], spl[1]))
                    return
                if not spl[1] + spl[2] in main.IRCPool.keys():
                    failure("Name has no instance: %s" % spl[1])
                    return
                if not spl[3] in main.IRCPool[spl[1] + spl[2]].channels:
                    info("Bot not on channel: %s" % spl[3])
                main.IRCPool[spl[1] + spl[2]].msg(spl[3], " ".join(spl[4:]))
                success(
                    "Sent %s to %s on relay %s on network %s"
                    % (" ".join(spl[4:]), spl[3], spl[2], spl[1])
                )
                return
            else:
                incUsage("msg")
                return
        else:
            incUsage(None)
